# Uses of Enum Class
org.bukkit.WeatherType

Packages that use WeatherType
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of WeatherType in org.bukkit

Methods in org.bukkit that return WeatherType
Modifier and Type
Method
Description
`static WeatherType`
WeatherType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WeatherType[]`
WeatherType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of WeatherType in org.bukkit.entity

Methods in org.bukkit.entity that return WeatherType
Modifier and Type
Method
Description
`@Nullable WeatherType`
Player.`getPlayerWeather()`
Returns the type of weather the player is currently experiencing.
Methods in org.bukkit.entity with parameters of type WeatherType
Modifier and Type
Method
Description
`void`
Player.`setPlayerWeather(@NotNull WeatherType type)`
Sets the type of weather the player will see.